/* Copyright 2009 Palm, Inc.  All rights reserved. */

AddexistingAssistant = Class.create({
    initialize: function(targetPersonId){
        this.targetPersonId = targetPersonId;
    },
    setup: function(){
        this.model = {
            "sceneController": this.controller,
        };
        this.controller.setupWidget('contacts_list', this.model);
        this.controller.get('contacts_list').observe('mojo-peoplepicker-selected', this.itemSelected.bindAsEventListener(this));
    },
    
    itemSelected: function(event){
        this.controller.stageController.pushScene('edit', event.item);
	},
	

});
